ALTER OPERATOR CLASS()

NAME
ALTER OPERATOR CLASS - change the definition of an operator class

SYNOPSIS

ALTER OPERATOR CLASS name USING index_method RENAME TO newname
ALTER OPERATOR CLASS name USING index_method OWNER TO newowner

DESCRIPTION

ALTER OPERATOR CLASS changes the definition of an operator class.

You must own the operator class to use ALTER OPERATOR CLASS. To alter the owner, you must also be a direct or indirect member of the new owning role, and that role must have CREATE privilege on the operator class's schema. (These restrictions enforce that altering the owner doesn't do anything you couldn't do by dropping and recreating the operator class. However, a superuser can alter ownership of any operator class anyway.)

PARAMETERS

name
    The name (optionally schema-qualified) of an existing operator class.

index_method
    The name of the index method this operator class is for.

newname
    The new name of the operator class.

newowner
    The new owner of the operator class.

COMPATIBILITY

There is no ALTER OPERATOR CLASS statement in the SQL standard.

SEE ALSO
CREATE OPERATOR CLASS [create_operator_class(7)], DROP OPERATOR CLASS [drop_operator_class(l)], ALTER OPERATOR FAMILY [alter_operator_family(l)]